"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../helpers/checkCommandInputs");
/**
 * Base command for "partial" commands that, when called, only show their help.
 */
class HelpCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(this.constructor);
        // Show help on empty sub command
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
        }
    }
}
exports.default = HelpCommand;
