import { Command, flags } from '@oclif/command';
/**
 * Base command that handles the flags used for specifying the desired network.
 */
export declare abstract class NetworkCommand extends Command {
    static defaultUrl: string;
    static flags: {
        network: flags.IOptionFlag<string>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        goerli: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    getNetworkUrl(flags: {
        [key in keyof typeof NetworkCommand.flags]: any;
    }): string;
    getNetworkUrlAndKind(flags: {
        [key in keyof typeof NetworkCommand.flags]: any;
    }): ['name' | 'url', string, string?];
}
