"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
class EventsCommand extends command_1.Command {
    async run() {
        const { args } = this.parse(EventsCommand);
        try {
            const { abi } = args;
            const { getEvents } = await Promise.resolve().then(() => __importStar(require('../../helpers/abi')));
            const events = getEvents(abi);
            events.forEach(({ signature, signatureHash }) => {
                this.log(`${signatureHash}\t${signature}`);
            });
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = EventsCommand;
EventsCommand.description = `Show the list of events in the given ABI.`;
EventsCommand.args = [
    {
        name: 'abi',
        required: true,
        description: 'Contract ABI.',
    },
];
EventsCommand.examples = ['eth abi:events erc20'];
