"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const config_1 = require("../../helpers/config");
class RemoveCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(RemoveCommand);
        const { name } = args;
        const { 'network-id': networkId } = flags;
        const addresses = config_1.getAddresses();
        if (addresses[name] && addresses[name][networkId]) {
            delete addresses[name][networkId];
            config_1.updateAddresses(addresses);
        }
        else {
            this.warn(`No address found for '${name}'`);
        }
    }
}
exports.RemoveCommand = RemoveCommand;
RemoveCommand.description = 'Remove a known address.';
RemoveCommand.args = [
    {
        name: 'name',
        required: true,
        description: 'Name of the address to remove',
    },
];
RemoveCommand.flags = {
    'network-id': command_1.flags.string({
        char: 'n',
        required: false,
        default: '*',
    }),
};
RemoveCommand.aliases = ['address:rm'];
RemoveCommand.examples = ['eth address:rm ganache'];
