"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const network_1 = require("../../base/network");
class GetCommand extends network_1.NetworkCommand {
    async run() {
        const { args, flags } = this.parse(GetCommand);
        let networkUrl;
        try {
            networkUrl = this.getNetworkUrl(flags);
            const { number: blockNumber } = args;
            const { getBlock } = await Promise.resolve().then(() => __importStar(require('../../helpers/getBlockObject')));
            const block = await getBlock(+blockNumber, networkUrl);
            cli_ux_1.cli.styledJSON(block);
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = GetCommand;
GetCommand.description = 'Get the block object for a given block number.';
GetCommand.flags = Object.assign({}, network_1.NetworkCommand.flags);
GetCommand.args = [
    {
        name: 'number',
        required: true,
        description: 'The number of the block',
    },
];
GetCommand.examples = ['eth block:get --mainnet 12345'];
