"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const network_1 = require("../../base/network");
class GetCommand extends network_1.NetworkCommand {
    async run() {
        const { flags } = this.parse(GetCommand);
        let networkUrl;
        try {
            networkUrl = this.getNetworkUrl(flags);
            const { getBlockNumber } = await Promise.resolve().then(() => __importStar(require('../../helpers/getBlockNumber')));
            const blockNumber = await getBlockNumber(networkUrl);
            this.log('' + blockNumber);
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = GetCommand;
GetCommand.description = `Get the block number of the chosen network.`;
GetCommand.flags = Object.assign({}, network_1.NetworkCommand.flags);
GetCommand.examples = [
    'eth block:number --rinkeby',
    `eth block:number --network 'https://dai.poa.network'`,
];
