"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
class DecodeCommand extends command_1.Command {
    async run() {
        const { args } = this.parse(DecodeCommand);
        try {
            const { functionSignature, txData } = args;
            const { decodeTxData } = await Promise.resolve().then(() => __importStar(require('../../helpers/decodeTxData')));
            const result = decodeTxData(functionSignature, txData);
            cli_ux_1.cli.styledJSON(result);
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = DecodeCommand;
DecodeCommand.description = `Decode the arguments of the given transaction data for the given function signature.`;
DecodeCommand.args = [
    {
        name: 'functionSignature',
        required: true,
        description: 'The function signature.',
    },
    {
        name: 'txData',
        required: true,
        description: 'The given transaction data.',
    },
];
DecodeCommand.examples = [
    `eth method:decode 'transfer(address,uint256)' '0xa9059cbb000000000000000000000000697dB915674bAc602F4d6fAfA31c0e45f386416E00000000000000000000000000000000000000000000000000000004ff043b9e'`,
];
