"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ethereumjs_util_1 = require("ethereumjs-util");
class HashCommand extends command_1.Command {
    async run() {
        const { args } = this.parse(HashCommand);
        try {
            const { signature } = args;
            const hash = ethereumjs_util_1.keccak(signature)
                .toString('hex')
                .slice(0, 8);
            this.log(hash);
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = HashCommand;
HashCommand.description = `Get the hash of the given method.`;
HashCommand.args = [
    {
        name: 'signature',
        required: true,
        description: 'The given signature.',
    },
];
HashCommand.examples = [`eth method:hash 'transfer(address,uint256)'`];
