"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ethereumjs_util_1 = require("ethereumjs-util");
const utils_1 = require("./utils");
function getMethodsAndEvents(abiPath) {
    const { abi } = utils_1.loadABI(abiPath);
    const methods = utils_1.extractMethodsAndEventsFromABI(abi).map(({ name, inputs, kind }) => {
        const params = inputs.map((x) => x.type).join(',');
        const signature = `${name}(${params})`;
        const signatureHash = ethereumjs_util_1.keccak(signature)
            .toString('hex')
            .slice(0, 8);
        return { signature, signatureHash, kind };
    });
    return methods;
}
function getMethods(abiPath) {
    return getMethodsAndEvents(abiPath).filter(x => x.kind === 'function');
}
exports.getMethods = getMethods;
function getEvents(abiPath) {
    return getMethodsAndEvents(abiPath).filter(x => x.kind === 'event');
}
exports.getEvents = getEvents;
