"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const big_js_1 = tslib_1.__importDefault(require("big.js"));
const types_1 = require("../types");
// avoid exponential notation in most cases
big_js_1.default.NE = -19;
exports.stringToUnit = (unit) => {
    const unitLowerCased = unit.toLowerCase();
    if (unitLowerCased === types_1.Unit.Eth) {
        return types_1.Unit.Eth;
    }
    else if (unitLowerCased === types_1.Unit.Gwei) {
        return types_1.Unit.Gwei;
    }
    else if (unitLowerCased === types_1.Unit.Wei) {
        return types_1.Unit.Wei;
    }
    return null;
};
exports.convert = (amount, from, to) => {
    const amountBN = new big_js_1.default(amount);
    let exp = 0;
    if (from === types_1.Unit.Gwei) {
        exp -= 9;
    }
    else if (from === types_1.Unit.Wei) {
        exp -= 18;
    }
    if (to === types_1.Unit.Gwei) {
        exp += 9;
    }
    else if (to === types_1.Unit.Wei) {
        exp += 18;
    }
    const scale = new big_js_1.default(10).pow(exp);
    if (to === types_1.Unit.Eth) {
        return amountBN.mul(scale).toString();
    }
    return amountBN.mul(scale).toFixed(0);
};
