"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
const utils_1 = require("./utils");
function encode(abiPath, methodCall, url) {
    if (!methodCall) {
        throw new Error('[encode] methodCall required');
    }
    const { methodValid, methodName } = utils_1.evaluateMethodCallStructure(methodCall);
    if (!methodValid) {
        throw new Error('[encode] methodCall invalid structure');
    }
    const { abi } = utils_1.loadABI(abiPath);
    const matchingMethods = utils_1.extractMethodsAndEventsFromABI(abi).filter(x => x.name === methodName);
    if (matchingMethods.length > 1) {
        throw new Error('[encode] function overloading is not supported in the current version');
    }
    if (!matchingMethods.length) {
        throw new Error('[encode] method specified does not exist in the ABI file provided');
    }
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    // `contract` is being used as part of the eval call
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const contract = new web3.eth.Contract(abi);
    // eslint-disable-next-line no-eval
    return eval(`contract.methods.${methodCall}.encodeABI()`);
}
exports.encode = encode;
