"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
const config_1 = require("./config");
async function generateNop(url, privateKeyOrKnownAddress) {
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    const networkId = await web3.eth.net.getId();
    const privateKey = config_1.getPrivateKey(privateKeyOrKnownAddress, String(networkId));
    const { address } = web3.eth.accounts.wallet.add(privateKey);
    return new Promise((resolve, reject) => {
        web3.eth
            .sendTransaction({
            from: address,
            to: address,
            gas: 21000,
        })
            .once('transactionHash', transactionHash => {
            resolve(transactionHash);
        })
            .once('error', e => {
            reject(e);
        });
    });
}
exports.generateNop = generateNop;
