"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ethereumjs_util_1 = require("ethereumjs-util");
const rlp = tslib_1.__importStar(require("rlp"));
const utils_1 = require("./utils");
function getContractAddress(_address, _nonce) {
    if (!_address) {
        throw new Error('address is required');
    }
    const address = utils_1.add0x(_address);
    const nonce = Number(_nonce || 0);
    const contractAddress = ethereumjs_util_1.keccak(rlp.encode([address, nonce]))
        .toString('hex')
        .slice(24);
    return utils_1.add0x(contractAddress);
}
exports.getContractAddress = getContractAddress;
