"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
exports.getTransaction = function (transactionHash, url) {
    if (!transactionHash) {
        throw new Error('[getTransactionObject] txHash required');
    }
    if (!url) {
        throw new Error('[getTransactionObject] URL required');
    }
    // Connect web3
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    return web3.eth.getTransaction(transactionHash);
};
exports.getReceipt = function (transactionHash, url) {
    if (!transactionHash) {
        throw new Error('[getTransactionObject] txHash required');
    }
    if (!url) {
        throw new Error('[getTransactionObject] URL required');
    }
    // Connect web3
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    return web3.eth.getTransactionReceipt(transactionHash);
};
