"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const erc20_json_1 = tslib_1.__importDefault(require("./abi/erc20.json"));
const erc721_json_1 = tslib_1.__importDefault(require("./abi/erc721.json"));
const config_1 = require("./config");
const ABI_META_DATA = {
    erc20: erc20_json_1.default,
    erc721: erc721_json_1.default,
};
const getKnownAbis = () => {
    const addedAbis = config_1.getAbis();
    const knownAbis = Object.assign(Object.assign({}, ABI_META_DATA), addedAbis);
    return knownAbis;
};
exports.getAbiByName = (name) => {
    const knownAbis = getKnownAbis();
    if (knownAbis[name]) {
        return knownAbis[name];
    }
    return null;
};
exports.getStringAbiByName = (abiName) => {
    const abiObj = exports.getAbiByName(abiName);
    if (abiObj) {
        return JSON.stringify(abiObj);
    }
    return abiObj;
};
exports.getAbiList = () => {
    const knownAbis = getKnownAbis();
    return Object.keys(knownAbis);
};
