"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
const utils_1 = require("./utils");
exports.randomAddress = (amount, prefix) => {
    if (isNaN(amount) || amount === 0) {
        throw new Error('[random-address] amount must be an integer number and greater than 0');
    }
    const maybePrefix = utils_1.evaluatePrefix(prefix);
    if (maybePrefix === null) {
        throw new Error('[random-address] prefix must be a valid hex value');
    }
    const findAccount = utils_1.generateAccount(maybePrefix);
    return utils_1.range(amount)
        .map(() => findAccount())
        .map(({ address, privateKey }) => ({ address, privateKey }));
};
exports.generateKeystore = async (privateKey, password) => {
    const web3 = new web3_1.default();
    return web3.eth.accounts.encrypt(privateKey, password);
};
