"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
const baseUrl = 'https://www.4byte.directory/api/v1';
async function searchSignature(hexSignature) {
    const response = await node_fetch_1.default(`${baseUrl}/signatures/?hex_signature=${hexSignature}`, {
        headers: {
            'Content-Type': 'application/json',
        },
    });
    const data = await response.json();
    return data.results
        .sort((a, b) => a.id - b.id)
        .map((result) => result.text_signature);
}
exports.searchSignature = searchSignature;
