import { ABIItem } from '../types';
export declare const add0x: (hex: string) => string;
export declare const loadABI: (abiPath: string) => {
    abi: any;
    name: string;
};
export declare const getContract: (abiAtAddress: string, networkId: string) => {
    abi: any;
    address: string;
    name: string;
};
export declare const extractMethodsAndEventsFromABI: (abi: ABIItem[]) => {
    name: string | undefined;
    inputs: any;
    kind: "function" | "event";
}[];
/**
 * Evaluates a method call structure and returns an object with the information validated
 */
export declare const evaluateMethodCallStructure: (methodCall: string) => {
    methodCall: string;
    methodName: string | null;
    methodArgs: string | null;
    methodValid: boolean;
};
export declare const generateAccount: (prefix: string) => () => any;
export declare const range: (amount: number) => any[];
export declare const evaluatePrefix: (prefix: string) => string | null;
export declare const isBN: (x: any) => boolean;
export declare const isPrivateKey: (s: string) => boolean;
export declare const isAddress: (s: string) => boolean;
export declare const sleep: (timeout: number) => Promise<unknown>;
